# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
---
loader: taskgraph.loader.transform:loader

transforms:
    - taskgraph.transforms.from_deps
    - gecko_taskgraph.transforms.name_sanity
    - gecko_taskgraph.transforms.beetmover_integration
    - gecko_taskgraph.transforms.task

kind-dependencies:
    # Primary dependencies
    - build

task-defaults:
    run-on-repo-type: [hg]

only-for-build-platforms:
    - linux64/opt
    - macosx64/opt
    - win32/opt
    - win64/opt

tasks:
    beetmover-integration:
        description: Beetmover integration submission - {build_platform}/{build_type}
        from-deps:
            group-by: platform
        attributes:
            artifact_map: taskcluster/gecko_taskgraph/manifests/firefox_integration.yml
        if-dependencies:
            - build
        run-on-projects: [autoland-only]
        treeherder:
            tier: 2
            kind: build
            symbol: BM-int
        worker-type: beetmover
        scopes:
            by-project:
                autoland:
                    - project:releng:beetmover:bucket:integration
                    - project:releng:beetmover:action:direct-push-to-bucket
                default:
                    - project:releng:beetmover:bucket:dep
                    - project:releng:beetmover:action:direct-push-to-bucket
